%Release of Gaberson Software.  Disclaimer: this program is furnished by 
%Howie Gaberson and is accepted and used by the recipient with the express 
%understanding that Howie makes no warranty, expressed or implied, 
%concerning the accuracy, completeness, reliability, usability, or 
%suitability for any particular purpose of the information and data contained 
%in this program or furnished in connection therewith, and Howie shall be 
%under no liability whatsoever to any person by reason of any use made 
%thereof.  The program belongs to Howie. Therefore, the recipient 
%further agrees not to assert any proprietary rights therein or to represent 
%this program to anyone as other than a program Howie wrote.

%ASRS.m  090907 Standard SRS using Ahlin's filter and adding a period of zeros
%Program expects file YYDD of accelerations in g in workspace.  
%Values for flow, fhigh, fs, fpd, zeta are edited into here.
% Calculate traditional SRS (acceleration shock spectrum)
% Edit a uniquely labeled copy of this with correct values..
% 
%	YYDD	data vector
%	fs	sampling rate, Hz
%	flow	low frequency Hz
%	fhigh	high frequency Hz
%	
YYDD=YYDD(:);%assure YYDD a column
G=386.087;
YYDDG=G*YYDD;%convert to in/sec^2
%set damping here*****************
zeta=.05;
%*********you must set a lowest frequency here
flow=.1;
%*********you must set a highest freq here
fhigh=5000;
%********* Now spec a SAMPLING RATE (SAMPLES/SEC.)
fs=50000;
%*********Now set FREQS PER DECADE, (ABT 100-200, BUT WHATEVER)
fpd=100;
flowlog=log10(flow);
c2=round(flowlog)-1;
jlow=fpd*(flowlog-c2);
jstart=fix(jlow);
if(jlow ~= jstart);
	jstart=jstart+1;
end;
fstart=10.^(jstart/fpd+c2);
jstop=round(fpd*(log10(fhigh)-c2));
fstop=10^(jstop/fpd+c2);
nfreqs=jstop-jstart+1;
f=10.^((jstart:jstop)./fpd+c2);
XDDMAX=zeros(nfreqs,1); 
APVSSMAX=zeros(nfreqs,1);
eta=sqrt(1-zeta^2);
k2=2*pi*zeta/fs;
k3=2*pi*eta/fs;
%
for n=1:nfreqs;
	A=k2*f(n);
	B= k3*f(n);
	a=[1,-2*cos(B)*exp(-A), exp(-2*A)];
	b=[1-exp(-A)*sin(B)/B, 2*exp(-A)*(sin(B)/B-cos(B)), exp(-2*A)-exp(-A)*sin(B)/B];
	% zadd is number of zeros to append, to get residual spectrum. 
	zadd=ceil(fs/f(n)); YDDtemp=[YYDDG; zeros(zadd,1)];
	XDD=filter(b,a,YDDtemp);
	XDDMAX(n,1)=max(abs((XDD)));
	APVSS(n,1)=XDDMAX(n,1)/(2*pi*f(n));
end 

loglog(f,XDDMAX/G),grid;%Usually plot srs as g vs f
handle1=line(f,XDDMAX/G);
set(handle1,'linew',1.5,'color','k')
xlabel('Frequency, Hz');ylabel('Acceleration, g')
%If you want a loglog plot of the APVSS, it's there just plot it and put it on fourcp
