%Release of Gaberson Software.  Disclaimer: this program is furnished by 
%Howie Gaberson and is accepted and used by the recipient with the express 
%understanding that Howie makes no warranty, expressed or implied, 
%concerning the accuracy, completeness, reliability, usability, or 
%suitability for any particular purpose of the information and data contained 
%in this program or furnished in connection therewith, and Howie shall be 
%under no liability whatsoever to any person by reason of any use made 
%thereof.  The program belongs to Howie. Therefore, the recipient 
%further agrees not to assert any proprietary rights therein or to represent 
%this program to anyone as other than a program Howie wrote.

%FOURCP1M.M: PLOTS FOUR COORDINATE PAPER for MATLAB 6.0  101130
%Frequency axis set to .1 to 100K Hz  in line 186
%by Howard A. Gaberson, 234 Corsicana Dr.; Oxnard, CA 93036-1300
%(805)485-5307, hagaberson@att.net
%
%Release of Howie Gaberson Software.  Disclaimer: this program is furnished by
%Howie and is accepted and used by the recipient with the express 
%understanding that Howie makes no warranty, expressed or implied, 
%concerning the accuracy, completeness, reliability, usability, or 
%suitability for any particular purpose of the information and data contained 
%in this program or furnished in connection therewith, and Howie has 
%no liability whatsoever to any person by reason of any use made 
%thereof.  The program belongs to the Howie.  Therefore, the recipient 
%further agrees not to assert any proprietary rights therein or to represent 
%this program to anyone as other than a program Howie wrote.
%
k=2*pi/386.087;c=2*pi;
fl=.01;fr=1000000;kl=k*fl;kr=k*fr;cl=c*fl;cr=c*fr;
%Now g decade lines from g=0.01 to g=10,000,000 or g=10e-3 to g=10e+6
gm4=[10e-4/kl 10e-4/kr];
gm3=[10e-3/kl 10e-3/kr];gm2=[10e-2/kl 10e-2/kr];gm1=[10e-1/kl 10e-1/kr];
g0=[10e+0/kl 10e+0/kr];g1=[10e+1/kl 10e+1/kr];g2=[10e+2/kl 10e+2/kr];
g3=[10e+3/kl 10e+3/kr];g4=[10e+4/kl 10e+4/kr];
g5=[10e+5/kl 10e+5/kr];g6=[10e+6/kl 10e+6/kr];
%That's all the constant g decade ordinates; plot'em.
flr=[fl fr];
loglog(flr,gm4,'k',flr,gm3,'k',flr,gm2,'k',flr,gm1,'k',flr,g0,'k',flr,g1,'k',...
flr,g2,'k',flr,g3,'k',flr,g4,'k',flr,g5,'k',flr,g6,'k')
hold on

%Now z decade lines from 0.00001 to 100,000 or 10e-6 to 10e+4
zm6=[10e-6*cl 10e-6*cr];zm5=[10e-5*cl 10e-5*cr];zm4=[10e-4*cl 10e-4*cr];zm7=[10e-7*cl 10e-7*cr];
zm3=[10e-3*cl 10e-3*cr];zm2=[10e-2*cl 10e-2*cr];zm1=[10e-1*cl 10e-1*cr];
z0=[10e+0*cl 10e+0*cr];z1=[10e+1*cl 10e+1*cr];z2=[10e+2*cl 10e+2*cr];
z3=[10e+3*cl 10e+3*cr];z4=[10e+4*cl 10e+4*cr];
%That's the constant z decade ordinates; plot'em.
loglog(flr,zm6,'k',flr,zm5,'k',flr,zm4,'k',flr,zm3,'k',flr,zm2,'k',flr,zm1,'k',...
flr,z0,'k',flr,z1,'k',flr,z2,'k',flr,z3,'k',flr,z4,'k',flr,zm7,'k')

%We do the interdecade lines separately because we want them thinner.
%THS ADDS A SET OF CONSTANT ACCEL INTERDECADE LINES fr .0001 .001
gm52=[2*10e-5/kl 2*10e-5/kr];gm53=[3*10e-5/kl 3*10e-5/kr];gm54=[4*10e-5/kl 4*10e-5/kr];
gm55=[5*10e-5/kl 5*10e-5/kr];gm56=[6*10e-5/kl 6*10e-5/kr];
gm57=[7*10e-5/kl 7*10e-5/kr];gm58=[8*10e-5/kl 8*10e-5/kr];gm59=[9*10e-5/kl 9*10e-5/kr];
loglog(flr,gm52,'k',flr,gm53,'k',flr,gm54,'k',flr,gm55,'k',flr,gm56,'k',flr,gm57,'k',...
flr,gm58,'k',flr,gm59,'k','LineWidth',.25)%

%THS ADDS A SET OF CONSTANT ACCEL INTERDECADE LINES fr .001 .01
gm42=[2*10e-4/kl 2*10e-4/kr];gm43=[3*10e-4/kl 3*10e-4/kr];gm44=[4*10e-4/kl 4*10e-4/kr];
gm45=[5*10e-4/kl 5*10e-4/kr];gm46=[6*10e-4/kl 6*10e-4/kr];
gm47=[7*10e-4/kl 7*10e-4/kr];gm48=[8*10e-4/kl 8*10e-4/kr];gm49=[9*10e-4/kl 9*10e-4/kr];
loglog(flr,gm42,'k',flr,gm43,'k',flr,gm44,'k',flr,gm45,'k',flr,gm46,'k',flr,gm47,'k',...
flr,gm48,'k',flr,gm49,'k','LineWidth',.25)%

%THS ADDS A SET OF CONSTANT ACCEL INTERDECADE LINES fr .01 .1
gm32=[2*10e-3/kl 2*10e-3/kr];gm33=[3*10e-3/kl 3*10e-3/kr];gm34=[4*10e-3/kl 4*10e-3/kr];
gm35=[5*10e-3/kl 5*10e-3/kr];gm36=[6*10e-3/kl 6*10e-3/kr];
gm37=[7*10e-3/kl 7*10e-3/kr];gm38=[8*10e-3/kl 8*10e-3/kr];gm39=[9*10e-3/kl 9*10e-3/kr];
loglog(flr,gm32,'k',flr,gm33,'k',flr,gm34,'k',flr,gm35,'k',flr,gm36,'k',flr,gm37,'k',...
flr,gm38,'k',flr,gm39,'k','LineWidth',.25)%

%THS ADDS A SET OF CONSTANT ACCEL INTERDECADE LINES fr .1 1
gm22=[2*10e-2/kl 2*10e-2/kr];gm23=[3*10e-2/kl 3*10e-2/kr];gm24=[4*10e-2/kl 4*10e-2/kr];
gm25=[5*10e-2/kl 5*10e-2/kr];gm26=[6*10e-2/kl 6*10e-2/kr];
gm27=[7*10e-2/kl 7*10e-2/kr];gm28=[8*10e-2/kl 8*10e-2/kr];gm29=[9*10e-2/kl 9*10e-2/kr];
loglog(flr,gm22,'k',flr,gm23,'k',flr,gm24,'k',flr,gm25,'k',flr,gm26,'k',flr,gm27,'k',...
flr,gm28,'k',flr,gm29,'k','LineWidth',.25)%

%THS ADDS A SET OF CONSTANT ACCEL INTERDECADE LINES fr 1 10
gm12=[2*10e-1/kl 2*10e-1/kr];gm13=[3*10e-1/kl 3*10e-1/kr];gm14=[4*10e-1/kl 4*10e-1/kr];
gm15=[5*10e-1/kl 5*10e-1/kr];gm16=[6*10e-1/kl 6*10e-1/kr];
gm17=[7*10e-1/kl 7*10e-1/kr];gm18=[8*10e-1/kl 8*10e-1/kr];gm19=[9*10e-1/kl 9*10e-1/kr];
loglog(flr,gm12,'k',flr,gm13,'k',flr,gm14,'k',flr,gm15,'k',flr,gm16,'k',flr,gm17,'k',...
flr,gm18,'k',flr,gm19,'k','LineWidth',.25)%

set(gca,'ycolor','k','xcolor','k')
%THS ADDS A SET OF CONSTANT ACCEL INTERDECADE LINES fr 10 100
g02=[2*10e+0/kl 2*10e+0/kr];g03=[3*10e+0/kl 3*10e+0/kr];g04=[4*10e+0/kl 4*10e+0/kr];
g05=[5*10e+0/kl 5*10e+0/kr];g06=[6*10e+0/kl 6*10e+0/kr];
g07=[7*10e+0/kl 7*10e+0/kr];g08=[8*10e+0/kl 8*10e+0/kr];g09=[9*10e+0/kl 9*10e+0/kr];
loglog(flr,g02,'k',flr,g03,'k',flr,g04,'k',flr,g05,'k',flr,g06,'k',flr,g07,'k',...
flr,g08,'k',flr,g09,'k','LineWidth',.25)%

%THS ADDS A SET OF CONSTANT ACCEL INTERDECADE LINES fr 100 1000
g12=[2*10e+1/kl 2*10e+1/kr];g13=[3*10e+1/kl 3*10e+1/kr];g14=[4*10e+1/kl 4*10e+1/kr];
g15=[5*10e+1/kl 5*10e+1/kr];g16=[6*10e+1/kl 6*10e+1/kr];
g17=[7*10e+1/kl 7*10e+1/kr];g18=[8*10e+1/kl 8*10e+1/kr];g19=[9*10e+1/kl 9*10e+1/kr];
loglog(flr,g12,'k',flr,g13,'k',flr,g14,'k',flr,g15,'k',flr,g16,'k',flr,g17,'k',...
flr,g18,'k',flr,g19,'k','LineWidth',.25)%

%THS ADDS A SET OF CONSTANT ACCEL INTERDECADE LINES fr 1000 10000
g22=[2*10e+2/kl 2*10e+2/kr];g23=[3*10e+2/kl 3*10e+2/kr];g24=[4*10e+2/kl 4*10e+2/kr];
g25=[5*10e+2/kl 5*10e+2/kr];g26=[6*10e+2/kl 6*10e+2/kr];
g27=[7*10e+2/kl 7*10e+2/kr];g28=[8*10e+2/kl 8*10e+2/kr];g29=[9*10e+2/kl 9*10e+2/kr];
loglog(flr,g22,'k',flr,g23,'k',flr,g24,'k',flr,g25,'k',flr,g26,'k',flr,g27,'k',...
flr,g28,'k',flr,g29,'k','LineWidth',.25)%

%THS ADDS A SET OF CONSTANT ACCEL INTERDECADE LINES fr 10000 100000
g32=[2*10e+3/kl 2*10e+3/kr];g33=[3*10e+3/kl 3*10e+3/kr];g34=[4*10e+3/kl 4*10e+3/kr];
g35=[5*10e+3/kl 5*10e+3/kr];g36=[6*10e+3/kl 6*10e+3/kr];
g37=[7*10e+3/kl 7*10e+3/kr];g38=[8*10e+3/kl 8*10e+3/kr];g39=[9*10e+3/kl 9*10e+3/kr];
loglog(flr,g32,'k',flr,g33,'k',flr,g34,'k',flr,g35,'k',flr,g36,'k',flr,g37,'k',...
flr,g38,'k',flr,g39,'k','LineWidth',.25)%

%THS ADDS A SET OF CONSTANT ACCEL INTERDECADE LINES fr 100000 1000000
g42=[2*10e+4/kl 2*10e+4/kr];g43=[3*10e+4/kl 3*10e+4/kr];g44=[4*10e+4/kl 4*10e+4/kr];
g45=[5*10e+4/kl 5*10e+4/kr];g46=[6*10e+4/kl 6*10e+4/kr];
g47=[7*10e+4/kl 7*10e+4/kr];g48=[8*10e+4/kl 8*10e+4/kr];g49=[9*10e+4/kl 9*10e+4/kr];
loglog(flr,g42,'k',flr,g43,'k',flr,g44,'k',flr,g45,'k',flr,g46,'k',flr,g47,'k',...
flr,g48,'k',flr,g49,'k','LineWidth',.25)%

%THS ADDS A SET OF CONSTANT ACCEL INTERDECADE LINES fr 1000000 10000000
g52=[2*10e+5/kl 2*10e+5/kr];g53=[3*10e+5/kl 3*10e+5/kr];g54=[4*10e+5/kl 4*10e+5/kr];
g55=[5*10e+5/kl 5*10e+5/kr];g56=[6*10e+5/kl 6*10e+5/kr];
g57=[7*10e+5/kl 7*10e+5/kr];g58=[8*10e+5/kl 8*10e+5/kr];g59=[9*10e+5/kl 9*10e+5/kr];
loglog(flr,g52,'k',flr,g53,'k',flr,g54,'k',flr,g55,'k',flr,g56,'k',flr,g57,'k',...
flr,g58,'k',flr,g59,'k','LineWidth',.25)%

%THS ADDS A SET OF CONSTANT Z INTERDECADE LINES fr .000001 .00001
zm72=[2*10e-7*cl 2*10e-7*cr];zm73=[3*10e-7*cl 3*10e-7*cr];zm74=[4*10e-7*cl 4*10e-7*cr];
zm75=[5*10e-7*cl 5*10e-7*cr];zm76=[6*10e-7*cl 6*10e-7*cr];zm77=[7*10e-7*cl 7*10e-7*cr];
zm78=[8*10e-7*cl 8*10e-7*cr];zm79=[9*10e-7*cl 9*10e-7*cr];
loglog(flr,zm72,'k',flr,zm73,'k',flr,zm74,'k',flr,zm75,'k',flr,zm76,'k',flr,zm77,'k',...
flr,zm78,'k',flr,zm79,'k','LineWidth',.25)%

%THS ADDS A SET OF CONSTANT Z INTERDECADE LINES fr .00001 .0001
zm62=[2*10e-6*cl 2*10e-6*cr];zm63=[3*10e-6*cl 3*10e-6*cr];zm64=[4*10e-6*cl 4*10e-6*cr];
zm65=[5*10e-6*cl 5*10e-6*cr];zm66=[6*10e-6*cl 6*10e-6*cr];zm67=[7*10e-6*cl 7*10e-6*cr];
zm68=[8*10e-6*cl 8*10e-6*cr];zm69=[9*10e-6*cl 9*10e-6*cr];
loglog(flr,zm62,'k',flr,zm63,'k',flr,zm64,'k',flr,zm65,'k',flr,zm66,'k',flr,zm67,'k',...
flr,zm68,'k',flr,zm69,'k','LineWidth',.25)%

%THS ADDS A SET OF CONSTANT Z INTERDECADE LINES fr .0001 .001
zm52=[2*10e-5*cl 2*10e-5*cr];zm53=[3*10e-5*cl 3*10e-5*cr];zm54=[4*10e-5*cl 4*10e-5*cr];
zm55=[5*10e-5*cl 5*10e-5*cr];zm56=[6*10e-5*cl 6*10e-5*cr];zm57=[7*10e-5*cl 7*10e-5*cr];
zm58=[8*10e-5*cl 8*10e-5*cr];zm59=[9*10e-5*cl 9*10e-5*cr];
loglog(flr,zm52,'k',flr,zm53,'k',flr,zm54,'k',flr,zm55,'k',flr,zm56,'k',flr,zm57,'k',...
flr,zm58,'k',flr,zm59,'k','LineWidth',.25)%

%THS ADDS A SET OF CONSTANT Z INTERDECADE LINES fr .001 .01
zm42=[2*10e-4*cl 2*10e-4*cr];zm43=[3*10e-4*cl 3*10e-4*cr];zm44=[4*10e-4*cl 4*10e-4*cr];
zm45=[5*10e-4*cl 5*10e-4*cr];zm46=[6*10e-4*cl 6*10e-4*cr];zm47=[7*10e-4*cl 7*10e-4*cr];
zm48=[8*10e-4*cl 8*10e-4*cr];zm49=[9*10e-4*cl 9*10e-4*cr];
loglog(flr,zm42,'k',flr,zm43,'k',flr,zm44,'k',flr,zm45,'k',flr,zm46,'k',flr,zm47,'k',...
flr,zm48,'k',flr,zm49,'k','LineWidth',.25)%

%THS ADDS A SET OF CONSTANT Z INTERDECADE LINES fr .01 .1
zm32=[2*10e-3*cl 2*10e-3*cr];zm33=[3*10e-3*cl 3*10e-3*cr];zm34=[4*10e-3*cl 4*10e-3*cr];
zm35=[5*10e-3*cl 5*10e-3*cr];zm36=[6*10e-3*cl 6*10e-3*cr];zm37=[7*10e-3*cl 7*10e-3*cr];
zm38=[8*10e-3*cl 8*10e-3*cr];zm39=[9*10e-3*cl 9*10e-3*cr];
loglog(flr,zm32,'k',flr,zm33,'k',flr,zm34,'k',flr,zm35,'k',flr,zm36,'k',flr,zm37,'k',...
flr,zm38,'k',flr,zm39,'k','LineWidth',.25)%

%THS ADDS A SET OF CONSTANT Z INTERDECADE LINES fr .1 1
zm22=[2*10e-2*cl 2*10e-2*cr];zm23=[3*10e-2*cl 3*10e-2*cr];zm24=[4*10e-2*cl 4*10e-2*cr];
zm25=[5*10e-2*cl 5*10e-2*cr];zm26=[6*10e-2*cl 6*10e-2*cr];zm27=[7*10e-2*cl 7*10e-2*cr];
zm28=[8*10e-2*cl 8*10e-2*cr];zm29=[9*10e-2*cl 9*10e-2*cr];
loglog(flr,zm22,'k',flr,zm23,'k',flr,zm24,'k',flr,zm25,'k',flr,zm26,'k',flr,zm27,'k',...
flr,zm28,'k',flr,zm29,'k','LineWidth',.25)%

%THS ADDS A SET OF CONSTANT Z INTERDECADE LINES fr 1 10
zm12=[2*10e-1*cl 2*10e-1*cr];zm13=[3*10e-1*cl 3*10e-1*cr];zm14=[4*10e-1*cl 4*10e-1*cr];
zm15=[5*10e-1*cl 5*10e-1*cr];zm16=[6*10e-1*cl 6*10e-1*cr];zm17=[7*10e-1*cl 7*10e-1*cr];
zm18=[8*10e-1*cl 8*10e-1*cr];zm19=[9*10e-1*cl 9*10e-1*cr];
loglog(flr,zm12,'k',flr,zm13,'k',flr,zm14,'k',flr,zm15,'k',flr,zm16,'k',flr,zm17,'k',...
flr,zm18,'k',flr,zm19,'k','LineWidth',.25)%

%THS ADDS A SET OF CONSTANT Z INTERDECADE LINES fr 10 100
z02=[2*10e+0*cl 2*10e+0*cr];z03=[3*10e+0*cl 3*10e+0*cr];z04=[4*10e+0*cl 4*10e+0*cr];
z05=[5*10e+0*cl 5*10e+0*cr];z06=[6*10e+0*cl 6*10e+0*cr];z07=[7*10e+0*cl 7*10e+0*cr];
z08=[8*10e+0*cl 8*10e+0*cr];z09=[9*10e+0*cl 9*10e+0*cr];
loglog(flr,z02,'k',flr,z03,'k',flr,z04,'k',flr,z05,'k',flr,z06,'k',flr,z07,'k',...
flr,z08,'k',flr,z09,'k','LineWidth',.25)%


%THS ADDS A SET OF CONSTANT Z INTERDECADE LINES fr 100 1000
z12=[2*10e+1*cl 2*10e+1*cr];z13=[3*10e+1*cl 3*10e+1*cr];z14=[4*10e+1*cl 4*10e+1*cr];
z15=[5*10e+1*cl 5*10e+1*cr];z16=[6*10e+1*cl 6*10e+1*cr];z17=[7*10e+1*cl 7*10e+1*cr];
z18=[8*10e+1*cl 8*10e+1*cr];z19=[9*10e+1*cl 9*10e+1*cr];
loglog(flr,z12,'k',flr,z13,'k',flr,z14,'k',flr,z15,'k',flr,z16,'k',flr,z17,'k',...
flr,z18,'k',flr,z19,'k','LineWidth',.25)

%THS ADDS A SET OF CONSTANT Z INTERDECADE LINES fr 1000 10000
z22=[2*10e+2*cl 2*10e+2*cr];z23=[3*10e+2*cl 3*10e+2*cr];z24=[4*10e+2*cl 4*10e+2*cr];
z25=[5*10e+2*cl 5*10e+2*cr];z26=[6*10e+2*cl 6*10e+2*cr];z27=[7*10e+2*cl 7*10e+2*cr];
z28=[8*10e+2*cl 8*10e+2*cr];z29=[9*10e+2*cl 9*10e+2*cr];
loglog(flr,z22,'k',flr,z23,'k',flr,z24,'k',flr,z25,'k',flr,z26,'k',flr,z27,'k',...
flr,z28,'k',flr,z29,'k','LineWidth',.25)%

%THS ADDS A SET OF CONSTANT Z INTERDECADE LINES fr 10000 100000
z32=[2*10e+3*cl 2*10e+3*cr];z33=[3*10e+3*cl 3*10e+3*cr];z34=[4*10e+3*cl 4*10e+3*cr];
z35=[5*10e+3*cl 5*10e+3*cr];z36=[6*10e+3*cl 6*10e+3*cr];z37=[7*10e+3*cl 7*10e+3*cr];
z38=[8*10e+3*cl 8*10e+3*cr];z39=[9*10e+3*cl 9*10e+3*cr];
loglog(flr,z32,'k',flr,z33,'k',flr,z34,'k',flr,z35,'k',flr,z36,'k',flr,z37,'k',...
flr,z38,'k',flr,z39,'k','LineWidth',.25)%

grid
% grid lines with the 'grid' here
%THIS AXIS STATEMENT SETS THE NUMBER OF CYCLES ON THE PAPER; YOU CAN CHANGE	
axis([10 1000000 1 10000])
xlabel('Frequency, Hz','color','k')
ylabel('Pseudo Velocity, ips','color','k')
%title('Shock Spectrum Four Coordinate Paper')
set(gca,'DefaultTextRotation',45)
text('Position',[1700 1.5],'String','0.0001"','color','k')
text('Position',[170 1.5],'String','0.001"','color','k')
text('Position',[17 1.5],'String','0.01"','color','k')
text('Position',[4000 3600],'String','0.1"','color','k')
text('Position',[400 3600],'String','1.0"','color','k')
text('Position',[40 3600],'String','10"','color','k')
text('Position',[4 3600],'String','100"','color','k')
text('Position',[.4 3600],'String','1,000"','color','k')
%text('Position',[.04 3600],'String','10,000"','color','k')%Add if freq down to .01
set(gca,'DefaultTextRotation',-45)
%text('Position',[.013 6.5],'String','0.001 g','color','k')%Add if freq down to .01
text('Position',[.13 6.5],'String','0.01 g','color','k')
text('Position',[1.3 6.5],'String','0.1 g','color','k')
text('Position',[1.3 65],'String','1 g','color','k')
text('Position',[1.3 650],'String','10 g','color','k')
text('Position',[1.3 6500],'String','100 g','color','k')
text('Position',[10 8000],'String','1000 g','color','k')
text('Position',[100 8000],'String','10,000 g','color','k')
text('Position',[1000 8000],'String','100,000 g','color','k')
set(gca,'DefaultTextRotation',0)
%The following enlarges the tick lengths; which worked just fine
set(gca, 'TickLength', [0.05 0.1])
set(gca,'GridLineStyle','-')
set(gca,'MinorGridLineStyle','-')
hold off
%I had some interesting result with the "orient landscape" command prior to printing.
