%Release of Gaberson Software.  Disclaimer: this program is furnished by 
%Howie Gaberson and is accepted and used by the recipient with the express 
%understanding that Howie makes no warranty, expressed or implied, 
%concerning the accuracy, completeness, reliability, usability, or 
%suitability for any particular purpose of the information and data contained 
%in this program or furnished in connection therewith, and Howie shall be 
%under no liability whatsoever to any person by reason of any use made 
%thereof.  The program belongs to Howie. Therefore, the recipient 
%further agrees not to assert any proprietary rights therein or to represent 
%this program to anyone as other than a program Howie wrote.

%halftermpkcos.m  This calculates a terminal peak saw tooth shock, Y, in g.
%And an init peak sawtooth shock Yinit in g.
%This adds a cosine ramp that has a duration phi*td 
%It starts with a max g level (xddmax), and velocity change (delxd), 
%and determines the consequent duration, td, according to Eq (5.9b).
%Modified on 100803 to make td definition include cosine fall off
%It generates a drop table terminal peak sawtooth digitizing the 1 g fall,
%No rebound. 
%Since the initial peak saw tooth is this flipped left right, Yinit is 
%Also  computed as Yinit

fs=50000; %good to 5000 Hz
delxd=100;%****must set
xddmax=200;%****must set 
G=386.087;% 
phi=.2;%Now from (5.9b)
td=2*delxd/xddmax/G;%This is td for ramp up plus cos drop back down
nup=fix(fs*td*(1-phi));%sets number of samples in ramp up to peak. Fix 
%rounds toward zero
ttup=(1:nup)/fs;
xdd=xddmax/ttup(nup)*ttup;%The ramp up
ncos=fix(fs*phi*td);
ttcos=(0:ncos)/fs;%Now from (5.6) I'm unsure if this should start from 0 or 1
xddcos=xddmax/2*(1+cos(pi*ttcos/phi/td));

tf=delxd/G;nf=fix(fs*tf);
%tr=vr/G;nr=fix(fs*tr);
%ttf=(1:nf)/fs;
%ttr=(1:nr)/fs;
%Add preceding and terminating zeros.
prezs=zeros(1,200);
Y=[prezs -ones(1,nf) xdd xddcos prezs];
%Now I want to fliplr [xdd xddcos]
gawhoozit=[xdd xddcos];
bgoo=fliplr(gawhoozit);
Yinit=[prezs -ones(1,nf) bgoo prezs];%seems ok
%The fall distance has to fr v^2=2*G*h, or h=delxd^2/2/G
h=delxd^2/2/G;
