%Release of Gaberson Software.  Disclaimer: this program is furnished by 
%Howie Gaberson and is accepted and used by the recipient with the express 
%understanding that Howie makes no warranty, expressed or implied, 
%concerning the accuracy, completeness, reliability, usability, or 
%suitability for any particular purpose of the information and data contained 
%in this program or furnished in connection therewith, and Howie shall be 
%under no liability whatsoever to any person by reason of any use made 
%thereof.  The program belongs to Howie. Therefore, the recipient 
%further agrees not to assert any proprietary rights therein or to represent 
%this program to anyone as other than a program Howie wrote.

%halftrapcos.m  Trapazoidal shock with cosine ramps.  You input a max g level, 
% xddmax, and a velocity change, delta-v, delxd, and this determines the consequent 
%duration, td.  I believe that with phi=.5, I have a versed sine.  
%Generates a drop table trapazoidal pulse, digitizing the 1 g fall, with no 
%rebound.  Thus ending with zero velocity but displaced by the drop. The ramps
%up and down are sinusoidal vice linear.
% Generates the acceleration file Y in g's; uses eq (5.1g);
fs=50000; %good to 5000 Hz
delxd=100;%****must set
xddmax=200;%****must set 
G=386.087;  %By Eq 5.1g
phi=.3;
td=delxd/(1-phi)/xddmax/G;
nr=fix(fs*phi*td);%sets number of samples in rise/drop time. Fix rounds toward zero.
ntot=fix(fs*td);%sets total number of samples. Fix rounds toward zero.
nflat=ntot-2*nr;%sets number of samples in flat region.
tt=(1:ntot)/fs;
xddr=xddmax*.5*(1-cos(pi*(1:nr)/fs/phi/td));
xddf=fliplr(xddr);
xddfl=xddmax*ones(1,nflat);
vf=delxd;%*********
tf=vf/G;nf=fix(fs*tf);
ttf=(1:nf)/fs;
prezs=zeros(1,200);
Y=[prezs -ones(1,nf) xddr xddfl xddf prezs];

