%Release of Gaberson Software.  Disclaimer: this program is furnished by 
%Howie Gaberson and is accepted and used by the recipient with the express 
%understanding that Howie makes no warranty, expressed or implied, 
%concerning the accuracy, completeness, reliability, usability, or 
%suitability for any particular purpose of the information and data contained 
%in this program or furnished in connection therewith, and Howie shall be 
%under no liability whatsoever to any person by reason of any use made 
%thereof.  The program belongs to Howie. Therefore, the recipient 
%further agrees not to assert any proprietary rights therein or to represent 
%this program to anyone as other than a program Howie wrote.

%hifreq.m Make FFT interpolating file to increase sampling rate by M=4; (for IMAC09 pap) 
% increase sample rate of YYDD by four 
M=4; 
N=length(YYDD); 
YYDD=YYDD(:);%assure YYDD a column 
%assure YYDD even length and add a zero if not. 
if rem(N,2)==0 
YYDD=YYDD; 
else 
YYDD=[YYDD; 0]; 
N=N+1; 
end 
 
YYDDF=fft(YYDD); 
nyq=YYDDF(N/2+1); 
%DC value is YYDDF(1), and Nyquist is YYDDF(N/2+1) 
%We zeropad YYDDF to M*N, by replacing Nyquist with half Nyquists as 
%last non zero values and adding (M*N-N-1) complex zeros in center 
addzeros=zeros(M*N-N-1,1); 
czeros=complex(addzeros); 
halfnyq=nyq/2; 
%Don't need to complex nyq; is already complex 
YYDDFI=[YYDDF(1:N/2); halfnyq; czeros; halfnyq; YYDDF(N/2+2:N)]; 
YYDDI=real(ifft(YYDDFI)); 
%must multiply by factor M 
YYDDI=YYDDI*M; 
%Now YYDDI is our resampled data and has length M*N. 
