%Release of Gaberson Software.  Disclaimer: this program is furnished by 
%Howie Gaberson and is accepted and used by the recipient with the express 
%understanding that Howie makes no warranty, expressed or implied, 
%concerning the accuracy, completeness, reliability, usability, or 
%suitability for any particular purpose of the information and data contained 
%in this program or furnished in connection therewith, and Howie shall be 
%under no liability whatsoever to any person by reason of any use made 
%thereof.  The program belongs to Howie. Therefore, the recipient 
%further agrees not to assert any proprietary rights therein or to represent 
%this program to anyone as other than a program Howie wrote.

% isolat.m  090907  Script to pass transient acceleration, YYDD, in g
% through a damped sdof yielding the acceleration of the mass, XXDD in g.  
% generates coincident time, ttt, and plots XXDD vs ttt. 
% Uses my asrs.m filter and appends NP periods of zeros to the input, YYDD.
%Program expects file YYDD of accelerations in g in workspace.  
%Values for fs, zeta, fisolate, NP, are edited into here.
YYDD=YYDD(:);%make YYDD a column
%********* Now spec a SAMPLING RATE (SAMPLES/SEC.)
%fs=50000;%get value from workspace
tpi =2*pi;
G=386.087;
yy=G*YYDD;
%*********Insert your damping ratio here with a value for zeta
zeta= .150;
h=1./fs;
fisolate=20;%******set freq here
%add NP periods of zeros at end of yy*****
NP=4;
T=1/fisolate;nz=fix(NP*T*fs);
yy=[yy; zeros(nz,1)];
eta=sqrt(1-zeta^2);
k2=2*pi*zeta/fs;
k3=2*pi*eta/fs;
A=k2*fisolate;
B= k3*fisolate;
a=[1,-2*cos(B)*exp(-A), exp(-2*A)];
b=[1-exp(-A)*sin(B)/B, 2*exp(-A)*(sin(B)/B-cos(B)), exp(-2*A)-exp(-A)*sin(B)/B];
XDD=filter(b,a,yy);
XXDD=XDD/G;
ttt=(1:length(XXDD))/fs;
plot(ttt,XXDD),grid
xlabel('Time, sec');ylabel('Acceleration, g')

