%Release of Gaberson Software.  Disclaimer: this program is furnished by 
%Howie Gaberson and is accepted and used by the recipient with the express 
%understanding that Howie makes no warranty, expressed or implied, 
%concerning the accuracy, completeness, reliability, usability, or 
%suitability for any particular purpose of the information and data contained 
%in this program or furnished in connection therewith, and Howie shall be 
%under no liability whatsoever to any person by reason of any use made 
%thereof.  The program belongs to Howie. Therefore, the recipient 
%further agrees not to assert any proprietary rights therein or to represent 
%this program to anyone as other than a program Howie wrote.

%ssft.m;  Calculate the Fourier transform magnitude of an acceleration 
%time history for plotting on four coordinate (shock spectrum) paper.
%This is not an fft or dft; it is the true FT calculated for a set
%frequencies equally spaced on a log axis.
%%Program expects file YYDD of accelerations in g in workspace.
%Values for flow, fhigh, fs, fpd, are edited into here.
YYDD=YYDD(:);
nv=length(YYDD);% nv= number of values in the shock time history.
flow=1;***you edit
fhigh=10000;%***you edit
fs=100000;%***your edit
t=1/fs*(0:(nv-1));%this forms the time vector, as a row.
%Since we plot in a log-log format, we want frequency values equally spaced on
%the log axis.  The following generates that vector of frequencies.
fpd=200;%***your edit
flowlog=log10(flow);
c2=round(flowlog)-1;
jlow=fpd*(flowlog-c2);
jstart=fix(jlow);
if(jlow ~= jstart);
	jstart=jstart+1;
end;

fstart=10.^(jstart/fpd+c2);
jstop=round(fpd*(log10(fhigh)-c2));
fstop=10^(jstop/fpd+c2);
nfreqs=jstop-jstart+1;
%Note: the lowest and highest frequencies are FSTART and FSTOP.
%The number of frequencies to be evaluated is NFREQS.
f=10.^((jstart:jstop)./fpd+c2);

G=386.008;
yy=G*YYDD;
tpi=2*pi;
Y=zeros(size(1:nfreqs))';

for kk=1:nfreqs
	Y(kk)=1/fs*abs(exp(-i*tpi*f(kk)*t)*yy);
end
loglog(f,Y);
hold on
fourcp
