%Release of Gaberson Software.  Disclaimer: this program is furnished by 
%Howie Gaberson and is accepted and used by the recipient with the express 
%understanding that Howie makes no warranty, expressed or implied, 
%concerning the accuracy, completeness, reliability, usability, or 
%suitability for any particular purpose of the information and data contained 
%in this program or furnished in connection therewith, and Howie shall be 
%under no liability whatsoever to any person by reason of any use made 
%thereof.  The program belongs to Howie. Therefore, the recipient 
%further agrees not to assert any proprietary rights therein or to represent 
%this program to anyone as other than a program Howie wrote.

%timhist3.m 090907 
%Shock acceleration time history and its two integrals plotted as three subplots. 
%Program expects file YYDD of accelerations in g and sample rate fs in workspace.
%It forms a time vector, tt.
%After running and plotting, YYD in ips, and YY in inches, remain in the workspace.
%You must change title
G=386.087 ;
tt=(1:length(YYDD))/fs;
subplot(3,1,1)
plot(tt,YYDD),grid
ylabel('Acceleration, g')
title('Time History of half sine');%*****Modify title to suit.
yydd=G*YYDD;
h=1/fs;
YYD=h*cumtrapz(yydd);
subplot(3,1,2)
plot(tt,YYD),grid
subplot(3,1,2)
ylabel('Velocity, ips')
subplot(3,1,3)
YY=h*cumtrapz(YYD);
plot(tt,YY),grid
subplot(3,1,3)
ylabel('Displacement, in')
subplot(3,1,3)
xlabel('Time, seconds')
subplot(111)

