%Release of Gaberson Software.  Disclaimer: this program is furnished by 
%Howie Gaberson and is accepted and used by the recipient with the express 
%understanding that Howie makes no warranty, expressed or implied, 
%concerning the accuracy, completeness, reliability, usability, or 
%suitability for any particular purpose of the information and data contained 
%in this program or furnished in connection therewith, and Howie shall be 
%under no liability whatsoever to any person by reason of any use made 
%thereof.  The program belongs to Howie. Therefore, the recipient 
%further agrees not to assert any proprietary rights therein or to represent 
%this program to anyone as other than a program Howie wrote.

%timhist4.m 100809. 
%Shock acceleration time history and its two integrals plotted as four subplots.  
%The first subplot shows a detailed expanded critical portion of the acceleration, 
%which is set with the axis command.  You modify for your situation.
%Program expects file YYDD of accelerations in g and sample rate fs in workspace.
%It forms a time vector, tt.
%After running and plotting, YYD in ips, and YY in inches, remain in the workspace.
%You must change title
G=386.087 ;
tt=(1:length(YYDD))/fs;
subplot(4,1,1)
plot(tt,YYDD),grid
axis([.312 .316 -200 1000])
%***Modify range to suit
title('Half sine Shock, 1000 g, 200 ips Velocity Change, e = .65')
ylabel('Acceleration, gs')
subplot(4,1,2)
plot(tt,YYDD),grid
subplot(4,1,2)
ylabel('Acceleration, g')
yydd=G*YYDD;
h=1/fs;
YYD=h*cumtrpz(YYDD);
subplot(4,1,3)
plot(tt,YYD),grid
subplot(4,1,3)
ylabel('Velocity, ips')
subplot(4,1,4)
YY=h*cumtrapz(YYD);
plot(tt,YY),grid
subplot(4,1,4)
ylabel('Displacement, in')
subplot(4,1,4)
xlabel('Time, seconds')
subplot(111)
